<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of LiTraAk Plugin for Dotclear 2.
# 
# Copyright (c) 2008 Akewea.com
# 
# LiTraAk Plugin for Dotclear 2 is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# LiTraAk Plugin for Dotclear 2 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with LiTraAk Plugin for Dotclear 2.  If not, see <http://www.gnu.org/licenses/>.
#
# -- END LICENSE BLOCK ------------------------------------

$can_edit_post = true; // TODO Ajouter la gestion des droits en fonction de l'utilisateur.
$can_view_page = true;

$project_id = (integer) $_GET['projectid'] > 0 ?	(integer) $_GET['projectid'] : -1;
$project = $litraak->getProjects(array('post_id' => $project_id));
if($project->isEmpty()){
	$project_id = '';
	$project_title = __('New project');
}else{
	$project_title = $project->post_title;
}

/* DISPLAY
-------------------------------------------------------- */
$tab = 'edit-project';
if (!$can_edit_post) {
	$tab = '';
}
if (!empty($_GET['tab'])) {
	$tab = $_GET['tab'];
}else if(!empty($_GET['co'])){
	$tab = 'comments';
}

# Exit if we cannot view page
if (!$can_view_page) {
	litraakPage::helpBlock('core_post');
	litraakPage::close();
	exit;
}

// Redirection
if($tab == 'edit-project'){ include dirname(__FILE__).'/project_detail.php';}
else if($project_id > 0){
	if($tab == 'edit-doc'){ include dirname(__FILE__).'/project_doc.php';}
	else if($tab == 'milestones'){ include dirname(__FILE__).'/project_milestones.php';}
	else if($tab == 'tickets'){ include dirname(__FILE__).'/project_tickets.php';}
	else if($tab == 'comments'){ include dirname(__FILE__).'/project_comments.php';}
}

?>
